## org.omg.GIOP
Class Version

    java.lang.Object
      |
      +--org.omg.GIOP.Version

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class Version
extends java.lang.Object
implements IDLEntity

Struct definition : Version

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`byte` `major` Struct member major
`byte` `minor` Struct member minor

Constructor Summary
`Version()` Default constructor
`Version(byte major, byte minor)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### major

    public byte major

  Struct member major

### minor

    public byte minor

  Struct member minor

Constructor Detail

### Version

    public Version()

  Default constructor

### Version

    public Version(byte major,
                   byte minor)

  Constructor with fields initialization
  Parameters:
    `major` - major struct member
    `minor` - minor struct member